Subject: Re: bug#45835: (gnu machine digital-ocean) installs old Guix

From: Ricardo Wurmus <[email-masked]>
Date: Tue, 19 Jan 2021 09:33:17 +0100

Hi Mathieu,

>> I also wonder if there might not be a better way to deploy Guix quickly,
>> for example by using a relocatable pack of Guix and using “guix copy”
>> instead of executing a shell script.
>
> I think that building a Guix System image and creating a droplet out of
> it using the DigitalOcean API, as I described here[1] would be a better
> solution.

Yes, this seems better than installing Guix on an existing system (which
costs time and possibly expensive bandwidth), and to replace the running
system with it.

FWIW, I wrote Guile AWS[1], which may be useful for doing the same with
AWS as a backend.

-- 
Ricardo

[1]: https://git.elephly.net/?p=software/guile-aws.git